summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMarco Trevisan (Treviño) <mail@3v1n0.net>2022-04-28 20:13:56 +0200
committerMarco Trevisan (Treviño) <mail@3v1n0.net>2022-04-28 20:52:33 +0200
commit1ec0462140464185c9c376cc7a17ce9910c53b96 (patch)
tree7e78d5ee996841ce103aa1de34c1282450017ffd /test
parente7a34f66895d961573eec85734d4f665917bf0f3 (diff)
downloadgjs-1ec0462140464185c9c376cc7a17ce9910c53b96.tar.gz
Dockerfile: Install Turkish locale in CI
Diffstat (limited to 'test')
-rw-r--r--test/extra/Dockerfile4
-rw-r--r--test/extra/Dockerfile.debug4
2 files changed, 8 insertions, 0 deletions
diff --git a/test/extra/Dockerfile b/test/extra/Dockerfile
index d44ea5c0..ee274192 100644
--- a/test/extra/Dockerfile
+++ b/test/extra/Dockerfile
@@ -57,6 +57,7 @@ RUN dnf -y install --enablerepo=fedora-debuginfo,updates-debuginfo \
glib2-devel \
glibc-debuginfo \
glibc-debuginfo-common \
+ glibc-locale-source \
gnome-desktop-testing \
gobject-introspection-debuginfo \
gobject-introspection-debugsource \
@@ -92,6 +93,9 @@ RUN sed -i -e 's/# %wheel/%wheel/' -e '0,/%wheel/{s/%wheel/# %wheel/}' \
ENV HOST_USER_ID 5555
RUN useradd -u $HOST_USER_ID -G wheel -ms /bin/bash user
+# Enable locales needed for specific tests
+RUN localedef --verbose --force -i tr_TR tr_TR || true
+
USER user
WORKDIR /home/user
diff --git a/test/extra/Dockerfile.debug b/test/extra/Dockerfile.debug
index a77b07ea..23ee8024 100644
--- a/test/extra/Dockerfile.debug
+++ b/test/extra/Dockerfile.debug
@@ -71,6 +71,7 @@ RUN dnf -y install --enablerepo=fedora-debuginfo,updates-debuginfo \
glib2-devel \
glibc-debuginfo \
glibc-debuginfo-common \
+ glibc-locale-source \
gnome-desktop-testing \
gobject-introspection-debuginfo \
gobject-introspection-debugsource \
@@ -109,6 +110,9 @@ RUN sed -i -e 's/# %wheel/%wheel/' -e '0,/%wheel/{s/%wheel/# %wheel/}' \
ENV HOST_USER_ID 5555
RUN useradd -u $HOST_USER_ID -G wheel -ms /bin/bash user
+# Enable locales needed for specific tests
+RUN localedef --verbose --force -i tr_TR tr_TR || true
+
USER user
WORKDIR /home/user